Skip to content

Get Mend library suggestions for source files at project level

Request

Returns Mend library suggestions for the specified source file UUIDs. Request body requires: sourceFileUuids (array), recommendedForAllFiles (boolean). Supports same search filters as searchForMatch: date, license, name, owner, version.

Security
bearer-key
Path
projectUuidstringrequired

UUID of the project

Bodyapplication/jsonrequired

Request body containing source file UUIDs and optional filters. Fields: sourceFileUuids (required, array of UUIDs), recommendedForAllFiles (required, boolean).

sourceFileUuidsArray of stringsrequired
recommendedForAllFilesboolean(Recommended For All Files)required

Flag indicating whether to get recommendations that apply to all specified files. Required field.

Example:false
applicationUuidsArray of strings
POST
/api/v3.0/projects/{projectUuid}/dependencies/sourceFiles/matchSuggestions
{ "sourceFileUuids": [ "123e4567-e89b-12d3-a456-426655440000" ], "recommendedForAllFiles": false, "applicationUuids": [ "123e4567-e89b-12d3-a456-426655440000" ] }

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
responseArray of objects(SourceLibraryResponseDTO_MatchSuggestions)
Response
{ "supportToken": "1171c60d", "response": [ {} ] }